package com.leromro.core.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.leromro.common.core.domain.AjaxResult;
import com.leromro.core.domain.BusinessPrice;
import com.leromro.core.domain.SecondOrder;
import com.leromro.core.domain.dto.HomePageDTO;
import com.leromro.core.domain.dto.UserOrderReviewDTO;
import com.leromro.core.domain.vo.OrderSummaryVO;
import com.leromro.core.domain.vo.VolunteerOrdersVO;

import java.util.List;

public interface ISecondOrderService extends IService<SecondOrder> {
    List<VolunteerOrdersVO> selectOrderList(Long userId,Long orderStatus);

    AjaxResult volunteerFinishWork(SecondOrder secondOrder);

    void userFinish(UserOrderReviewDTO reviewDTO);

    List<SecondOrder> getCurrentOrgSecondOrderList(HomePageDTO dto);

    List<SecondOrder> getTodayAllOrderList(HomePageDTO dto);
}
